<?php

namespace App\Http\Requests\Admin;

use App\Http\Requests\ApiFormRequest;

class SaveAdminNotificationSubjectsRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'subjects' => ['required', 'array'],
            // dynamic structure: subjects[adminId][subjectKey]=true OR array of subject strings
        ];
    }
}